---
id: 656b481ec4976439565a78b2
title: Step 14
challengeType: 20
dashedName: step-14
---

# --description--

Just as the step is optional, a start at `0` and an end at the end of the slice are optional:

```python
my_string = 'camperbot'
camperbot = my_string[::]
```

Assign the reverse of the full `card_number` string to the `card_number_reversed` variable.

# --hints--

You should have `card_number_reversed = card_number[::-1]` within the `verify_card_number` function.

```js
({
    test: () => {
        const transformedCode = code.replace(/\r/g, "");
        const verify_card_number = __helpers.python.getDef("\n" + transformedCode, "verify_card_number");
        const { function_body } = verify_card_number;

        assert.match(function_body, /card_number_reversed\s*=\s*card_number\s*\[\s*:\s*:\s*-1\s*\]/);
    }
})
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--
def verify_card_number(card_number):
    sum_of_odd_digits = 0
    card_number_reversed = card_number[-1:-5:-1]
    print(card_number_reversed)
    
--fcc-editable-region--
def main():
    card_number = '4111-1111-4555-1142'
    card_translation = str.maketrans({'-': '', ' ': ''})
    translated_card_number = card_number.translate(card_translation)

    print(translated_card_number)

    verify_card_number(translated_card_number)

main()
```
